<template>
  <view class="content">
    <view class="card">
      <u-steps :current="current" activeIcon="checkmark" inactiveIcon="arrow-right" direction="column">
        <u-steps-item v-for="(item,index) in steps" :key="index" :title="item.title" :desc="item.desc"></u-steps-item>
      </u-steps>
    </view>
  </view>
</template>

<script>
import {getHotWorkGoEdit, setSafetyenvironmentalFlow} from "../../../api";

export default {
  data() {
    return {
      current:0,
      steps: [],
      ID:''
    }
  },
  onLoad(event) {
    this.ID = event.ID
    this.getDate()
  },
  methods: {
    async getDate(){
      let resData = await setSafetyenvironmentalFlow({ID:this.ID});
      this.steps = resData.varList
      this.current = resData.active
    }
  }
}
</script>

<style scoped>
</style>
